typedef struct person_ {
  // Hmmmm, not good enough to have fixed name sizes
  char first_name[20];
  char family_name[20];
} person ;

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main (){

  person *p;
  
  p = malloc(10000000000000);
  if (p == NULL){
    printf("mem allocation failure\n");
  }else if (p != NULL){
    printf("mem allocation OK\n");
      }

  
  return 0;
}
